Ask coding questions

← Back to all posts
Tensorflow not importing: Python 3.7
DavidShen2 (60)

Each time I try to get Tensorflow via packages, I recieve this:

Command "python setup.py egg_info" failed with error code 1 in/tmp/pip-inst
all-yb5bswq3/functools32/
You are using pip version 19.0.3, however version 19.3.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

add [-D|--dev] [--path PATH] [--optional] [--platform PLATFORM] [--dry-run] <name> (<name>)...

exit status 1

Repl.it: Package operation failed.

Importing using import tensorflow: No module named 'Tensorflow'
Requirements.txt has the same result.

I need Tensorflow. Can anyone help resolve this?

Comments
hotnewtop
HackermonDev (2020)

Its because you are an explorer. Repl.it is experimenting with a feature that moves the project out of the directory that the package is being installed. Disabling explorer should work just fine.

DavidShen2 (60)

@PDanielY I just checked, and I am not an explorer. Thanks for the suggestion though!

cookeydev (3)

https://replit.com/talk/ask/To-use-TensorFlow-in-Replit-run-pip-in/20684/517663
Remember that Replit RAM is very limited without hacker, so you can't do complex tasks.

JordanRenaud (3)

I'm having the exact same issue, installation just fails after the download, using other methods to install, it states that it ran out of memory or failed to allocate enough memory

Vandesm14 (2734)

Tensorflow, from what I remember, does not work on repl.it

DavidShen2 (60)

@Vandesm14
Tensorflow worked for me a few months ago on repl.it.